USE [StackOverflow2010]
GO

/* "Type" Definitions:
0 = Null
1 = String
2 = Numeric
3 = True/False	
4 = Array
5 = Object
*/

DECLARE @json1 NVARCHAR(256) = N'{
	"Id":-1,
	"DisplayName":"Community",
	"Age":null,
	"Email":false,
	"PostTypes":["Question","Answer","Wiki"],
	"Activity":{"Reputation":1,"Views":649,"UpVotes":225495,"DownVotes":890820},
	"LastAccessDate":"2008-08-26 00:16:53.810"
}';

SELECT * FROM OPENJSON(@json1);


-- Create Users Array with nested JSON objects
DECLARE @json2 NVARCHAR(512) = N'
{"Users":[
	{ 
	"Id":-1,
	"DisplayName":"Community",
	"Activity":{
		"Reputation":1,
		"Views":649,
		"UpVotes":225495,
		"DownVotes":890820
		},
	"LastAccessDate":"2008-08-26 00:16:53.810"
	},
	{ 
	"Id":25,
	"DisplayName":"CodingWithoutComments",
	"Activity":{
		"Reputation":15587,
		"Views":3618,
		"UpVotes":537,
		"DownVotes":83
		},
	"LastAccessDate":"2017-11-22 05:03:39.410"
	}
   ]
}';
SELECT [key], [value] 
FROM OPENJSON(@json2);
--FROM OPENJSON(@json2, N'$.Users');
--FROM OPENJSON(@json2, N'$.Users[1]');
--FROM OPENJSON(@json2, N'$.Users[1].Activity');

