USE [StackOverflow2010]
GO

/*
JSON_VALUE lets us extract a scalar value from a JSON snippet;
cannot return objects, arrays, etc...
*/

-- Create Users Array with nested JSON objects
DECLARE @json NVARCHAR(512) = N'
{"Users":[
	{ 
	"Id":-1,
	"DisplayName":"Community",
	"Activity":{
		"Reputation":1,
		"Views":649,
		"UpVotes":225495,
		"DownVotes":890820
		},
	"LastAccessDate":"2008-08-26 00:16:53.810"
	},
	{ 
	"Id":25,
	"DisplayName":"CodingWithoutComments",
	"Activity":{
		"Reputation":15587,
		"Views":3618,
		"UpVotes":537,
		"DownVotes":83
		},
	"LastAccessDate":"2017-11-22 05:03:39.410"
	}
   ]
}';

SELECT ISJSON(@json); 

--SELECT JSON_VALUE(@json, N'$.Users[1].Activity.Reputation');
--SELECT JSON_VALUE(@json, N'$.Users[1].DisplayName');
--SELECT JSON_VALUE(@json, N'$.Users[1].Activity');--specify lax or strict option